/***************************************************************
 * Name:      autocompletar.h
 * Purpose:   Defines Dialog leerModificar
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-10-31
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef AUTOCOMPLETAR_H
#define AUTOCOMPLETAR_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
    #include <wx/textcompleter.h>
#endif

class datosAutocompletar
{
    public:
        datosAutocompletar(const wxString &t) : texto(t) {}

    //private:
        wxString texto;
};


class autocompletar: public wxDialog
{
    public:
        autocompletar(wxWindow *wnd, datosAutocompletar &data);

    protected:
        enum {
            idTexto = 1000
        };
    private:
        datosAutocompletar& datos;
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);

        wxTextCtrl* ctrlTexto;
        wxTextValidator valTexto;
        DECLARE_EVENT_TABLE()
};

#endif // AUTOCOMPLETAR_H
